For the complete documentation index, see llms.txt. This page is also available as Markdown.

Jobs

Get job details

get

Returns a streamable file that contains a job’s log. You can read the log file for completed or aborted jobs to review results. You can also stream the log file for a running job to view logs in real time.

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
idnumberErforderlich
connectionIdnumberErforderlich
Antworten
200

Returns the streamable file containing job logs

application/json
object · StreamableFileOptional
get/api/v1/connections/{connectionId}/jobs/{id}/logs/details
GET /api/v1/connections/{connectionId}/jobs/{id}/logs/details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Get job progress

get

Returns information about job progress steps. Can be used for completed or aborted jobs to review results, or for running jobs to view runtime progress

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
idnumberErforderlich
connectionIdnumberErforderlich
Antworten
200

Returns a list of work completed for every processed object. The response structure may differ based on the specific work performed in the job

application/json
objectNamestringErforderlich

Object name

statusstringErforderlich

Status of progress step

backupSuccessCountnumberOptional

Number of successfully backed up records.

removeSuccessCountnumberOptional

Number of successfully removed records.

successCountnumberOptional

Success count for restore-request/import

failedCountnumberOptional

Failed count for import

restoreSuccessCountnumberOptional

Number of successfully restored records.

restoreFailedCountnumberOptional

Number of records that failed to restore.

updateSuccessCountnumberOptional

Updated number of successfully restored records.

updateFailedCountnumberOptional

Updated number of records that failed to restore.

searchSuccessCountnumberOptional

Number of records found in search.

get/api/v1/connections/{connectionId}/jobs/{id}/logs/progress
GET /api/v1/connections/{connectionId}/jobs/{id}/logs/progress HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "objectName": "text",
    "status": "text",
    "backupSuccessCount": 1,
    "removeSuccessCount": 1,
    "successCount": 1,
    "failedCount": 1,
    "restoreSuccessCount": 1,
    "restoreFailedCount": 1,
    "updateSuccessCount": 1,
    "updateFailedCount": 1,
    "searchSuccessCount": 1
  }
]

Abort backup/archive job

patch

Aborts the backup or archive job

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
idnumberErforderlich
connectionIdnumberErforderlich
Antworten
200

Aborts the backup or archive job

application/json
messagestringErforderlichExample: Job was aborted successfully.
patch/api/v1/connections/{connectionId}/jobs/{id}/abort/backup
PATCH /api/v1/connections/{connectionId}/jobs/{id}/abort/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Job was aborted successfully."
}

Zuletzt aktualisiert

War das hilfreich?